package com.xydl.entity;

import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;
import java.util.Date;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Entity
@Table(name = "sync_records")
@ApiModel("sync_records表")
public class SyncRecords {

    @EmbeddedId
    private SyncRecordsKey id;

    @Column(name = "field_val1")
    private Long fieldVal1;

    @Column(name = "field_val2")
    private Date fieldVal2;

    @Column(name = "update_time")
    private Date updateTime;

}