package com.xydl.entity;

import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;
import java.util.Date;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Entity
@Table(name = "sync_tables_info")
@ApiModel("sync_tables_info表")
public class SyncTablesInfo {

    @EmbeddedId
    private SyncTablesInfoKey id;

    @Column(name = "sql")
    private String sql;

    @Column(name = "devid_field_name")
    private String devidFieldName;

    @Column(name = "outer_devid_fname")
    private String outerDevidFname;

    @Column(name = "field_name")
    private String fieldName;

    @Column(name = "field_type")
    private Byte fieldType;

    @Column(name = "update_time")
    private Date updateTime;

}