package com.xydl.repository;

import com.xydl.entity.SyncFieldsInfo;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import java.util.List;


@Repository
public interface SyncFieldsInfoRepository extends JpaRepository<SyncFieldsInfo, Integer>, JpaSpecificationExecutor<SyncFieldsInfo> {

    List<SyncFieldsInfo> findAllByClientIdAndTableName(Integer clientId, String tableName);
}