package com.xydl.schedule;


import com.xydl.service.MqttService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;


@Component
@Slf4j
public class ReportSchedule {
    @Resource
    MqttService mqttService;

    @Scheduled(initialDelay = 1000, fixedDelay = 1000 * 3600)
    public void reportRecord() {
        mqttService.uploadTask();
    }

}
