package com.xydl.service;

import com.xydl.entity.I2relation;
import com.xydl.repository.I2relationRepository;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;

@Service
@Slf4j
@Transactional(rollbackFor = Exception.class)
public class I2relationService {
    @Resource
    I2relationRepository repository;

    public List<I2relation> getList(Object eqmid) {
        Integer id;
        if (eqmid instanceof String) {
            id = Integer.parseInt((String) eqmid);
        } else {
            id = (Integer) eqmid;
        }
        return repository.findAllByEqmid(id);
    }
}
