package com.xydl.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import javax.persistence.Embeddable;
import javax.persistence.Id;
import java.io.Serializable;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Embeddable
public class SyncRecordsKey implements Serializable {


    @Column(name = "client_id")
    private Integer clientId;

     @Column(name = "table_name")
    private String tableName;


    @Column(name = "devid_val")
    private String devidVal;

}