package com.xydl.service;

import com.xydl.entity.SyncFieldsInfo;
import com.xydl.repository.SyncFieldsInfoRepository;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;

@Service
@Slf4j
@Transactional(rollbackFor = Exception.class)
public class SyncFieldsInfoService {
    @Resource
    SyncFieldsInfoRepository repository;

    public List<SyncFieldsInfo> findAll(Integer clientId, String tableName) {
        return repository.findAllByClientIdAndTableName(clientId, tableName);
    }

}
